# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/metastores/{id}`

Gets a metastore that matches the supplied ID. The caller must be a metastore admin to retrieve this info.

API scopes: unity-catalog

## Path parameters

- `id` (string, optional)
  Unique ID of the metastore.

## Returns

Returns the MetastoreInfo object.

## Response

```json
{
  "name": "string",
  "storage_root": "string",
  "default_data_access_config_id": "string",
  "storage_root_credential_id": "string",
  "delta_sharing_scope": "string",
  "delta_sharing_recipient_token_lifetime_in_seconds": 0,
  "delta_sharing_organization_name": "string",
  "owner": "string",
  "privilege_model_version": "string",
  "region": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "storage_root_credential_name": "string",
  "cloud": "string",
  "global_metastore_id": "string",
  "external_access_enabled": true
}
```

